import { AnyConfig } from '../config.js';
import GridData from '../grid.js';
import { State } from '../primitives.js';
import DirectionLinkerSymbol from './directionLinkerSymbol.js';
export default class GalaxySymbol extends DirectionLinkerSymbol {
    readonly x: number;
    readonly y: number;
    private static readonly linkedDirections;
    /**
     * **Galaxies are centers of rotational symmetry**
     *
     * @param x - The x-coordinate of the symbol.
     * @param y - The y-coordinate of the symbol.
     */
    constructor(x: number, y: number);
    get id(): string;
    get explanation(): string;
    get configs(): readonly AnyConfig[] | null;
    createExampleGrid(): GridData;
    validateSymbol(grid: GridData): State;
    copyWith({ x, y }: {
        x?: number;
        y?: number;
    }): this;
}
export declare const instance: GalaxySymbol;
